- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/test/unitTest.cpp File Reference

`#include <cppad/cppad.hpp>`
`#include "OSCoinSolver.h"`
`#include "OSConfig.h"`
`#include "OSmps2osil.h"`
`#include "OSResult.h"`
`#include "OSOption.h"`
`#include "OSiLReader.h"`
`#include "OSiLWriter.h"`
`#include "OSoLReader.h"`
`#include "OSoLWriter.h"`
`#include "OSrLReader.h"`
`#include "OSrLWriter.h"`
`#include "OSInstance.h"`
`#include "OSFileUtil.h"`
`#include "CoinError.hpp"`
`#include "OSDefaultSolver.h"`
`#include "OSWSUtil.h"`
`#include "OSSolverAgent.h"`
`#include "OShL.h"`
`#include "OSErrorClass.h"`
`#include "OSBase64.h"`
`#include "OSMathUtil.h"`
`#include <CoinMpsIO.hpp>`
`#include <CoinPackedMatrix.hpp>`
`#include "CoinHelperFunctions.hpp"`

Include dependency graph for unitTest.cpp:

Go to the source code of this file.

## Defines
#define | DEBUG
## Functions
int | main (int argC, char *argV[])
double | getObjVal (std::string osrl)
void | tempPrintArrays (OSResult *os)

## Define Documentation

#define DEBUG

Definition at line 122 of file unitTest.cpp.

## Function Documentation

int main | ( | int | argC,
|  | char * | argV[] |
| ) |  |  |

Definition at line 228 of file unitTest.cpp.

References OSInstance::calculateConstraintFunctionGradient(), OSnLNode::calculateFunction(), OSInstance::calculateHessian(), OSmps2osil::createOSInstance(), DoubleVector::el, ErrorClass::errormsg, FileUtil::getFileAsString(), OSInstance::getJacobianSparsityPattern(), OSInstance::getLagrangianHessianSparsityPattern(), OSInstance::getNonlinearExpressionTree(), getObjVal(), OSnLNode::getPostfixFromExpressionTree(), SparseHessianMatrix::hessValues, OSInstance::instanceData, InstanceData::linearConstraintCoefficients, OSiLWriter::m_bWhiteSpace, OSExpressionTree::m_treeRoot, LinearConstraintCoefficients::numberOfValues, OS_NEAR_EQUAL, OSmps2osil::osinstance, osinstance, osoption, OSiLReader::readOSiL(), tempPrintArrays(), LinearConstraintCoefficients::value, SparseVector::values, and OSiLWriter::writeOSiL().

double getObjVal | ( | std::string | osrl | ) |

Definition at line 7741 of file unitTest.cpp.

References os_strtod(), and OSNAN.

Referenced by main().

void tempPrintArrays | ( | OSResult * | os | ) |

Definition at line 7767 of file unitTest.cpp.

References BasisStatus::atLower, BasisStatus::atUpper, BasisStatus::basic, ConstraintSolution::basisStatus, ObjectiveSolution::basisStatus, VariableSolution::basisStatus, OptimizationSolution::constraints, IntVector::el, OtherConstraintResult::enumeration, OtherObjectiveResult::enumeration, OtherVariableResult::enumeration, BasisStatus::isFree, OtherConstraintResult::numberOfEnumerations, OtherObjectiveResult::numberOfEnumerations, OtherVariableResult::numberOfEnumerations, OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, OSResult::optimization, ConstraintSolution::other, ObjectiveSolution::other, VariableSolution::other, OptimizationResult::solution, BasisStatus::superbasic, BasisStatus::unknown, and OptimizationSolution::variables.

Referenced by main().